Package org.jboss.resteasy.api.validation

## Class ViolationReport

- java.lang.Object
- - org.jboss.resteasy.api.validation.ViolationReport

-     public class ViolationReport
      extends Object

  Version:
    $Revision: 1.1 $ Copyright July 27, 2013
  Author:
    Ron Sigal

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ViolationReport()` |
    `ViolationReport​(String s)` |
    `ViolationReport​(ResteasyViolationException exception)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArrayList<ResteasyConstraintViolation>` | `getClassViolations()` |
    `String` | `getException()` |
    `ArrayList<ResteasyConstraintViolation>` | `getParameterViolations()` |
    `ArrayList<ResteasyConstraintViolation>` | `getPropertyViolations()` |
    `ArrayList<ResteasyConstraintViolation>` | `getReturnValueViolations()` |
    `void` | `setClassViolations​(ArrayList<ResteasyConstraintViolation> classViolations)` |
    `void` | `setException​(String exception)` |
    `void` | `setParameterViolations​(ArrayList<ResteasyConstraintViolation> parameterViolations)` |
    `void` | `setPropertyViolations​(ArrayList<ResteasyConstraintViolation> propertyViolations)` |
    `void` | `setReturnValueViolations​(ArrayList<ResteasyConstraintViolation> returnValueViolations)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViolationReport

          public ViolationReport​(ResteasyViolationException exception)

    - #### ViolationReport

          public ViolationReport​(String s)

    - #### ViolationReport

          public ViolationReport()

  - ### Method Detail

    - #### getException

          public String getException()

    - #### getPropertyViolations

          public ArrayList<ResteasyConstraintViolation> getPropertyViolations()

    - #### getClassViolations

          public ArrayList<ResteasyConstraintViolation> getClassViolations()

    - #### getParameterViolations

          public ArrayList<ResteasyConstraintViolation> getParameterViolations()

    - #### getReturnValueViolations

          public ArrayList<ResteasyConstraintViolation> getReturnValueViolations()

    - #### setException

          public void setException​(String exception)

    - #### setPropertyViolations

          public void setPropertyViolations​(ArrayList<ResteasyConstraintViolation> propertyViolations)

    - #### setClassViolations

          public void setClassViolations​(ArrayList<ResteasyConstraintViolation> classViolations)

    - #### setParameterViolations

          public void setParameterViolations​(ArrayList<ResteasyConstraintViolation> parameterViolations)

    - #### setReturnValueViolations

          public void setReturnValueViolations​(ArrayList<ResteasyConstraintViolation> returnValueViolations)